/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

/** Maximum number of strings a language can hold. */
#define LANGUAGE_STRING_MAX 128

typedef struct {
  char *key;
  char *text;
} languagestring_t;

typedef struct {
  languagestring_t strings[LANGUAGE_STRING_MAX];
  int32_t stringCount;
} language_t;